<app-navbar></app-navbar>
<div class="list row">
  <div class="col-md-8">
    <div class="input-group mb-3">
      <input
        type="text"
        class="form-control"
        placeholder="Recheche par titre"
        [(ngModel)]="titre"
      />
      <div class="input-group-append">
        <button
          class="btn btn-outline-secondary"
          type="button"
          (click)="searchTitle()"
        >
          Search
        </button>
      </div>
    </div>
  </div>
  <div class="col-md-6">
      <h4>Listes des livres</h4>
      <ul class="list-group">
        <li
          class="list-group-item"
          *ngFor="let livre of livres; let i = index" 
          [class.active]="i == currentIndex"
          (click)="setActiveLivre(livre, i)"
        >
          {{ livre.titre }}
        </li>
      </ul>
  
      <button class="m-3 btn btn-sm btn-danger" (click)="removeAllLivres()">
        Supprimer tout les livres
      </button>
    </div>
    <div class="col-md-6">
      <div *ngIf="currentLivre">
        <h4>Livre</h4>
        <div>
          <label><strong>Id:</strong></label> {{ currentLivre._id }}
        </div>
        <div>
          <label><strong>Titre:</strong></label> {{ currentLivre.titre }}
        </div>
        <div>
          <label><strong>Auteurs:</strong></label>
          {{ currentLivre.auteurs }}
        </div>
        <div>
          <label><strong>Date de publication:</strong></label>
          {{ currentLivre.datePublication}}
        </div>
        <div>
          <label><strong>Genre:</strong></label>
          {{ currentLivre.genre }}
        </div>
        <div>
          <label><strong>Description:</strong></label>
          {{ currentLivre.quatriemePage }}
        </div>
        <div>
          <label><strong>Prix:</strong></label>
          {{ currentLivre.prix }}
        </div>
        <div>
          <label><strong>Quantité:</strong></label>
          {{ currentLivre.quantite }}
        </div>
  
        <a class="badge badge-warning" routerLink="/admin/livres/{{ currentLivre._id }}">
          Edit
        </a>
      </div>
  
      <div *ngIf="!currentLivre">
        <br />
        <p>Cliquez sur un livre pour le visualiser/modifier/supprimer</p>
      </div>
    </div>
  </div>